PIX
Consultar cobrança PIX
Consulta o status de uma cobrança PIX específica usando o ID da fatura de pagamento. Retorna sucesso=true para PIXs pagados e sucesso=false com status 410 para PIXs pendentes.
GET
/
api
/
pix
/
{idFaturaPag}
Consultar status do PIX
curl --request GET \
--url https://sandboxapi.mycredit.com.br/api/pix/{idFaturaPag} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandboxapi.mycredit.com.br/api/pix/{idFaturaPag}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandboxapi.mycredit.com.br/api/pix/{idFaturaPag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sucesso": true,
"data": {
"retTexto": "Autorizado com sucesso",
"response": {
"id": "d52ea68d-4c76-4e80-52c2-08dddfd74ba1",
"referencia": "9b041599-eacc-4a0f-9a16-e0191c9a66aa",
"tpComando": 0,
"dRetorno": "2025-08-20T11:49:47.8151264Z",
"msgOperador": "OPERACAO REALIZADA COM SUCESSO",
"viaCliente": "<cond> MYCREDIT \n VIA IMPRESSAO CLIENTE \n TRANSACAO AUTORIZADA \nCONTA: d52ea68d-4c****74ba\nTRANSACAO: 9b041599-ea****a66a\nVALOR: R$ 1,00\nDATA: 20/08/2025\nHORA: 08:48:17\n---\n AUTORIZADO POR QRCODE \n---\nSaldo disponível: \nR$\nmycredit.com.br \n<guilhotina>\n",
"viaEstabelecimento": "<cond> MYCREDIT \n VIA IMPRESSÃO ESTABELECIMENTO \n TRANSACAO AUTORIZADA \nCONTA: d52ea68d-4c****74ba\nTRANSACAO: 9b041599-ea****a66a\nVALOR: R$ 1,00\nDATA: 20/08/2025\nHORA: 08:48:17\n---\n AUTORIZADO POR QRCODE \n---\nSaldo disponível: \nR$\nmycredit.com.br \n<guilhotina>\n",
"tpConfirmacao": 0,
"numCartao": "",
"vLanc": 1,
"dTransacao": "2025-08-20T11:49:47.8151324Z",
"arqRetorno": "",
"dInsert": "2025-08-20T11:48:17.763",
"dUpdate": "2025-08-20T11:49:43.227"
}
}
}{
"sucesso": false,
"errors": "Mensagem de erro"
}{
"sucesso": false,
"errors": "Mensagem de erro"
}{
"sucesso": false,
"errors": "Mensagem de erro"
}{
"sucesso": false,
"errors": "Mensagem de erro"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identificador da fatura de pagamento (UUID) gerado por sua aplicação ao criar a cobrança PIX.
Response
PIX pago com sucesso - status consultado com êxito
Indica se a operação foi finalizada com sucesso. Enquanto o pagamento não for realizado, o sucesso será false. O sucesso será true apenas quando o pagamento for realizado.
Example:
true
Dados do status do PIX consultado. Quando sucesso=true, contém detalhes da transação autorizada.
Show child attributes
Show child attributes
⌘I
Consultar status do PIX
